gSyncit v5 Download

CURRENT RELEASE: v5.4.63 (November 2019)


The 64-bit version of gSyncit requires that you have a 64-bit version of Outlook installed. Install the 32-bit version of gSyncit if using the 32-bit version of Outlook. You can confirm the "bit" version of Outlook used on Outlook File / Help or File / Accounts panel.

Looking for gSyncit v4?

TRY BEFORE YOU BUY
You can try the unregistered version before you purchase a license for evaluation purposes. The unregistered version is limited to creating one sync mapping (calendar, contacts, tasks, notes) per service, auto-sync and syncing deleted items is disabled, and syncing tasks, contacts, and notes and limited to 50 items. This software requires a license to remove these limitations and for continued use.
REQUIREMENTS
  • Microsoft Windows 7, Windows 8 or Windows 10
  • Microsoft .Net Framework v4.5 or higher
  • Microsoft Outlook 2007, 2010, 2013, 2016 or Office 365 (Desktop Client)